package com.bpcl.lpg.core.setup;

import java.io.InputStream;
import com.bpcl.lpg.core.service.BpcllpgcoreService;
import de.hybris.platform.core.initialization.SystemSetup;

@SystemSetup(extension = "bpcllpgcore")
public class BpcllpgcoreSystemSetup
{
    private final BpcllpgcoreService bpcllpgcoreService;
    
    public BpcllpgcoreSystemSetup(final BpcllpgcoreService bpcllpgcoreService) {
        this.bpcllpgcoreService = bpcllpgcoreService;
    }
    
    @SystemSetup(process = SystemSetup.Process.INIT, type = SystemSetup.Type.ESSENTIAL)
    public void createEssentialData() {
        this.bpcllpgcoreService.createLogo("bpcllpgcorePlatformLogo");
    }
    
    private InputStream getImageStream() {
        return BpcllpgcoreSystemSetup.class.getResourceAsStream("/bpcllpgcore/sap-hybris-platform.png");
    }
}
